JJB job to run STC hourly
Change-Id: I2f7c2fa01b54b179cd14e3244ff9cc44fa9cb5d7
diff --git a/jjb/onos/onos-run-stc.sh b/jjb/onos/onos-run-stc.sh
new file mode 100644
index 0000000..393e524
--- /dev/null
+++ b/jjb/onos/onos-run-stc.sh
@@ -0,0 +1,35 @@
+#!/bin/bash
+
+# exit on errors
+set -eu -o pipefail
+
+# initialize build environment
+ONOS_ROOT=`pwd`
+. tools/build/envDefaults
+
+# initialize development environment for STC
+. tools/dev/bash_profile
+
+
+# always free the cell when exiting
+function cleanup {
+ cell return
+}
+
+trap cleanup EXIT
+
+# grab a cell to run on
+cell borrow
+
+# build onos bits
+onos-buck build onos
+
+# set up STC parameters
+topo default
+export stcDumpLogs=true
+export stcColor="false"
+export stcHaltOnError=true
+export TERM=vt100
+
+# run STC
+stc
diff --git a/jjb/onos/onos-verify.yaml b/jjb/onos/onos-verify.yaml
index 2ce0c64..cc4fda0 100644
--- a/jjb/onos/onos-verify.yaml
+++ b/jjb/onos/onos-verify.yaml
@@ -449,6 +449,18 @@
# JJB 1.6.2 does not support parameter expansion on filename?
#- shell: !include-raw-escape: {project-name}-verify.sh
+- job-template:
+ name: 'onos-{stream}-stc-verify'
+
+ <<: *job_boiler_plate
+ # yamllint disable-line rule:key-duplicates
+ <<: *hourly_boiler_plate
+
+ builders:
+ #put shell scripts in file then make sure shell check is installed on verify vms
+ - shell: !include-raw-escape: onos-run-stc.sh
+
+
- project:
name: onos
project-name: onos
@@ -592,3 +604,18 @@
jobs:
- 'onos-docker-build'
+
+- project:
+ name: onos-stc-verify
+ project-name: onos-maven-verify
+ project: onos
+
+ build-timeout: '30'
+ build-node: 'ubuntu16.04-basebuild-8c-15g'
+
+ stream:
+ - 'master'
+
+ jobs:
+ - 'onos-{stream}-stc-verify'
+